import { CoinspotPublicApi } from './coinspotPublicApi';
import { CoinspotReadOnlyApi } from './coinspotReadOnlyApi';
import { CoinspotApi } from './coinspotApi';
export * from './types';
export declare class Coinspot {
    readonly public: CoinspotPublicApi;
    readonly readOnly: CoinspotReadOnlyApi | null;
    readonly authenticated: CoinspotApi | null;
    private apiKeyRequiredMessage;
    constructor(apiKey?: string, apiSecret?: string);
    latestCoinPrice(coin: string): Promise<import("./types").LatestCoinPricesResponse>;
    latestPrices(): Promise<import("./types").LatestPricesResponse>;
    latestBuyPrice(coin: string): Promise<import("./types").LatestBuySellPriceResponse>;
    latestSellPrice(coin: string): Promise<import("./types").LatestBuySellPriceResponse>;
    openOrderList(coin: string): Promise<import("./types").OpenOrdersResponse>;
    completedOrderList(coin: string): Promise<import("./types").CompletedOrdersResponse>;
    coinBalance(coin: string): Promise<import("./types").MyCoinBalanceResponse>;
    balance(): Promise<import("./types").MyCoinBalancesResponse>;
    readOnlyApiStatus(): Promise<import("./types").ReadOnlyApiStatusResponse>;
    fullAccessApiStatus(): Promise<import("./types").ReadOnlyApiStatusResponse>;
    coinDepositAddress(coin: string): Promise<import("./types").CoinDepositAddressResponse>;
    marketBuyOrder(coin: string, amount: number, rate: number): Promise<import("./types").PlaceMarketBuySellOrderResponse>;
    marketSellOrder(coin: string, amount: number, rate: number): Promise<import("./types").PlaceMarketBuySellOrderResponse>;
    cancelBuyOrder(id: string): Promise<import("./types").BaseApiResponse>;
    cancelSellOrder(id: string): Promise<import("./types").BaseApiResponse>;
    buyNowOrder(coin: string, amounttype: string, amount: number, rate?: number, threshold?: number, direction?: string): Promise<import("./types").PlaceBuySellNowOrderResponse>;
    sellNowOrder(coin: string, amounttype: string, amount: number, rate?: number, threshold?: number, direction?: string): Promise<import("./types").PlaceBuySellNowOrderResponse>;
    swapNow(cointypesell: string, cointypebuy: string, amount: number, rate?: number, threshold?: number, direction?: string): Promise<import("./types").PlaceSwapNowOrderResponse>;
    buyNowQuote(coin: string, amount: number, amounttype: string): Promise<import("./types").BuySellQuoteResponse>;
    sellNowQuote(coin: string, amount: number, amounttype: string): Promise<import("./types").BuySellQuoteResponse>;
    swapNowQuote(sellcoin: string, buycoin: string, amount: number): Promise<import("./types").SwapQuoteResponse>;
    withdrawalHistory(coin: string): Promise<import("./types").CoinWithdrawalDetailsResponse>;
    withdrawCoins(coin: string, amount: number, address: string, emailconfirm?: string, network?: string, paymentid?: string): Promise<import("./types").BaseApiResponse>;
}
export declare const createCoinspotApi: (apiKey?: string, apiSecret?: string) => Coinspot;
export default Coinspot;
//# sourceMappingURL=index.d.ts.map